For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
  • Deal Management
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
user_file

Notify Submission

POST
/api/v1/user/me/file/notify
POST
/api/v1/user/me/file/notify
$curl -X POST https://app.termina.ai/api/v1/user/me/file/notify \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "file_ids": [
> 1
> ]
>}'
FE calls this once after all file uploads are complete. Sends a single consolidated Slack notification for the specified file IDs.
Was this page helpful?
Previous

Download User File

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
file_idslist of integersRequired
fund_namestring or nullOptional
messagestring or nullOptional

Response

Successful Response

Errors

422
Unprocessable Entity Error